// ----------------------------------------------------------------------------
// Projekt       : Analytica AnaGate Lua-API
// File          : LuaSPIFunctions.h
// Author        : Stefan Welisch
// Copyright     : (C) 2009 by Analytica GmbH
// ----------------------------------------------------------------------------
// $Id:$
//
// $Log:$
//
// ----------------------------------------------------------------------------

// Includes -------------------------------------------------------------------
/// Includes for Scripting
extern "C"
{
   #include "lua.h"
   #include "lauxlib.h"
   #include "lualib.h"

   extern lua_State * L;
}

#include <AnaGateDllSPI.h>  // windows.h must be included before ...


namespace lua {
void RegisterSPIFunctions( lua_State * L );
};

int LS_SPIOpenDevice( lua_State * L );
int LS_SPICloseDevice( lua_State * L );

int LS_SPIDataReq( lua_State * L );

int LS_SPISetGlobals( lua_State * L );
int LS_SPIGetGlobals( lua_State * L );

int LS_SPIErrorMessage( lua_State * L );

int LS_SPIReadDigital( lua_State * L );
int LS_SPIWriteDigital( lua_State * L );
